#
# spec file for package python-lazy-object-proxy
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-lazy-object-proxy
Version:        1.2.2
Release:        bp153.1.17
Summary:        Rebuild a new abstract syntax tree from Python's ast
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Url:            https://github.com/ionelmc/python-lazy-object-proxy
Source:         https://files.pythonhosted.org/packages/source/l/lazy-object-proxy/lazy-object-proxy-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  python-rpm-macros
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%ifpython2
Obsoletes:      %{oldpython}-lazy_object_proxy < %{version}
Provides:       %{oldpython}-lazy_object_proxy = %{version}
%endif
%ifpython3
Obsoletes:      python3-lazy_object_proxy < %{version}-%{release}
Provides:       python3-lazy_object_proxy = %{version}-%{release}
%endif

%python_subpackages

%description
A fast and thorough lazy object proxy that rebuilds a new abstract syntax tree
from Python's ast

%prep
%setup -q -n lazy-object-proxy-%{version}

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS.rst CHANGELOG.rst CONTRIBUTING.rst LICENSE README.rst docs
%{python_sitearch}/*

%changelog
* Sat May  6 2017 toddrme2178@gmail.com
- Don't provide python2-lazy_object_proxy, singlespec packages
  should use correct name.
* Mon Feb 27 2017 jmatejek@suse.com
- update for singlespec
- renamed to lazy-object-proxy for PyPI consistency
- updated download url
* Mon Jul  4 2016 arun@gmx.de
- update to version 1.2.2:
  * Added `manylinux <https://www.python.org/dev/peps/pep-0513/>`_
    wheels.
  * Minor cleanup in readme.
* Sun May 15 2016 tchvatal@suse.com
- Move from python2 to work with python3-astrid
* Tue Feb 23 2016 bwiedemann@suse.com
- fix license string
* Wed Feb 10 2016 michael@stroeder.com
- initial packaging of upstream release 1.2.1
